searchData={"items":[{"type":"module","title":"MoneyUtils","doc":"Library that assists in operations involving money.\n  It uses the Decimal library to perform the operations.","ref":"MoneyUtils.html"},{"type":"function","title":"MoneyUtils.add/1","doc":"Adds a list of numbers together.","ref":"MoneyUtils.html#add/1"},{"type":"function","title":"Examples - MoneyUtils.add/1","doc":"iex> MoneyUtils.add([\"10.50\", \"20.75\", \"30.25\"])\n    Decimal.new(\"61.50\")","ref":"MoneyUtils.html#add/1-examples"},{"type":"function","title":"MoneyUtils.add/2","doc":"Adds two numbers together.","ref":"MoneyUtils.html#add/2"},{"type":"function","title":"Examples - MoneyUtils.add/2","doc":"iex> MoneyUtils.add(\"10.50\", \"20.75\")\n    Decimal.new(\"31.25\")","ref":"MoneyUtils.html#add/2-examples"},{"type":"function","title":"MoneyUtils.compare/2","doc":"Compares two numbers.","ref":"MoneyUtils.html#compare/2"},{"type":"function","title":"Examples - MoneyUtils.compare/2","doc":"iex> MoneyUtils.compare(\"10.556\", \"10.556\")\n    :eq\n\n    iex> MoneyUtils.compare(\"10.556\", \"10.555\")\n    :gt\n\n    iex> MoneyUtils.compare(\"10.556\", \"10.557\")\n    :lt","ref":"MoneyUtils.html#compare/2-examples"},{"type":"function","title":"MoneyUtils.divide/1","doc":"Divides a list of numbers sequentially.","ref":"MoneyUtils.html#divide/1"},{"type":"function","title":"Examples - MoneyUtils.divide/1","doc":"iex> MoneyUtils.divide([\"10.50\", \"20.75\", \"2\"])\n    Decimal.new(\"0.25\")","ref":"MoneyUtils.html#divide/1-examples"},{"type":"function","title":"MoneyUtils.divide/2","doc":"Divides two numbers.","ref":"MoneyUtils.html#divide/2"},{"type":"function","title":"Examples - MoneyUtils.divide/2","doc":"iex> MoneyUtils.divide(\"10.50\", \"20.75\")\n    Decimal.new(\"0.51\")","ref":"MoneyUtils.html#divide/2-examples"},{"type":"function","title":"MoneyUtils.is_equal?/2","doc":"Checks if a number is equal to another.","ref":"MoneyUtils.html#is_equal?/2"},{"type":"function","title":"Examples - MoneyUtils.is_equal?/2","doc":"iex> MoneyUtils.is_equal?(\"10.556\", \"10.556\")\n    true\n\n    iex> MoneyUtils.is_equal?(\"10.556\", \"10.555\")\n    false\n\n    iex> MoneyUtils.is_equal?(\"10.556\", \"10.557\")\n    false","ref":"MoneyUtils.html#is_equal?/2-examples"},{"type":"function","title":"MoneyUtils.is_greater_or_equal_than?/2","doc":"Checks if a number is greater than or equal to another.","ref":"MoneyUtils.html#is_greater_or_equal_than?/2"},{"type":"function","title":"Examples - MoneyUtils.is_greater_or_equal_than?/2","doc":"iex> MoneyUtils.is_greater_or_equal_than?(\"10.556\", \"10.556\")\n    true\n\n    iex> MoneyUtils.is_greater_or_equal_than?(\"10.556\", \"10.555\")\n    true\n\n    iex> MoneyUtils.is_greater_or_equal_than?(\"10.556\", \"10.557\")\n    false","ref":"MoneyUtils.html#is_greater_or_equal_than?/2-examples"},{"type":"function","title":"MoneyUtils.is_greater_than?/2","doc":"Checks if a number is greater than another.","ref":"MoneyUtils.html#is_greater_than?/2"},{"type":"function","title":"Examples - MoneyUtils.is_greater_than?/2","doc":"iex> MoneyUtils.is_greater_than?(\"10.556\", \"10.556\")\n    false\n\n    iex> MoneyUtils.is_greater_than?(\"10.556\", \"10.555\")\n    true\n\n    iex> MoneyUtils.is_greater_than?(\"10.556\", \"10.557\")\n    false","ref":"MoneyUtils.html#is_greater_than?/2-examples"},{"type":"function","title":"MoneyUtils.is_less_or_equal_than?/2","doc":"Checks if a number is less than or equal to another.","ref":"MoneyUtils.html#is_less_or_equal_than?/2"},{"type":"function","title":"Examples - MoneyUtils.is_less_or_equal_than?/2","doc":"iex> MoneyUtils.is_less_or_equal_than?(\"10.556\", \"10.556\")\n    true\n\n    iex> MoneyUtils.is_less_or_equal_than?(\"10.556\", \"10.555\")\n    false\n\n    iex> MoneyUtils.is_less_or_equal_than?(\"10.556\", \"10.557\")\n    true","ref":"MoneyUtils.html#is_less_or_equal_than?/2-examples"},{"type":"function","title":"MoneyUtils.is_less_than?/2","doc":"Checks if a number is less than another.","ref":"MoneyUtils.html#is_less_than?/2"},{"type":"function","title":"Examples - MoneyUtils.is_less_than?/2","doc":"iex> MoneyUtils.is_less_than?(\"10.556\", \"10.556\")\n    false\n\n    iex> MoneyUtils.is_less_than?(\"10.556\", \"10.555\")\n    false\n\n    iex> MoneyUtils.is_less_than?(\"10.556\", \"10.557\")\n    true","ref":"MoneyUtils.html#is_less_than?/2-examples"},{"type":"function","title":"MoneyUtils.mult/1","doc":"Multiplies a list of numbers.","ref":"MoneyUtils.html#mult/1"},{"type":"function","title":"Examples - MoneyUtils.mult/1","doc":"iex> MoneyUtils.mult([\"10.50\", \"20.75\", \"2\"])\n    Decimal.new(\"435.75\")","ref":"MoneyUtils.html#mult/1-examples"},{"type":"function","title":"MoneyUtils.mult/2","doc":"Multiplies two numbers.","ref":"MoneyUtils.html#mult/2"},{"type":"function","title":"Examples - MoneyUtils.mult/2","doc":"iex> MoneyUtils.mult(\"10.50\", \"20.75\")\n    Decimal.new(\"217.88\")","ref":"MoneyUtils.html#mult/2-examples"},{"type":"function","title":"MoneyUtils.parse/1","doc":"Parses a number to decimal.","ref":"MoneyUtils.html#parse/1"},{"type":"function","title":"Examples - MoneyUtils.parse/1","doc":"iex> MoneyUtils.parse(\"10.556\")\n    Decimal.new(\"10.56\")\n\n    iex> MoneyUtils.parse(-123.453)\n    Decimal.new(\"-123.45\")\n\n    iex> MoneyUtils.parse(1)\n    Decimal.new(\"1.00\")","ref":"MoneyUtils.html#parse/1-examples"},{"type":"macro","title":"MoneyUtils.process/1","doc":"Processes the given expression using internal methods and operators.","ref":"MoneyUtils.html#process/1"},{"type":"function","title":"MoneyUtils.round_num/2","doc":"Rounds a number.","ref":"MoneyUtils.html#round_num/2"},{"type":"function","title":"Examples - MoneyUtils.round_num/2","doc":"iex> MoneyUtils.round_num(\"10.556\")\n    Decimal.new(\"10.56\")\n\n    iex> MoneyUtils.round_num(\"-123.453\")\n    Decimal.new(\"-123.45\")","ref":"MoneyUtils.html#round_num/2-examples"},{"type":"function","title":"MoneyUtils.sub/1","doc":"Subtracts a list of numbers sequentially.","ref":"MoneyUtils.html#sub/1"},{"type":"function","title":"Examples - MoneyUtils.sub/1","doc":"iex> MoneyUtils.sub([\"10.50\", \"20.75\", \"30.25\"])\n    Decimal.new(\"-40.50\")","ref":"MoneyUtils.html#sub/1-examples"},{"type":"function","title":"MoneyUtils.sub/2","doc":"Subtracts two numbers.","ref":"MoneyUtils.html#sub/2"},{"type":"function","title":"Examples - MoneyUtils.sub/2","doc":"iex> MoneyUtils.sub(\"10.50\", \"20.75\")\n    Decimal.new(\"-10.25\")","ref":"MoneyUtils.html#sub/2-examples"}],"content_type":"text/markdown"}